Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1101011 - Web admin UI reports wrongly on VM's ISCSI disk if it was created from a template with several copies
Summary: Web admin UI reports wrongly on VM's ISCSI disk if it was created from a temp...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: General
Version: ---
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: ovirt-4.3.0
: ---
Assignee: Tal Nisan
QA Contact: Elad
URL:
Whiteboard:
Depends On: ovirt_refactor_disk_class_hierarchy
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-25 14:06 UTC by Ori Gofen
Modified: 2018-07-02 08:09 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-02 08:09:39 UTC
oVirt Team: Storage
amureini: ovirt-4.3?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)
image (deleted)
2014-05-25 14:06 UTC, Ori Gofen
no flags Details

Description Ori Gofen 2014-05-25 14:06:40 UTC
Created attachment 899077 [details]
image

Description of problem:

Creating a template from thin provision nfs disk and coping it to block domain results in a gui bug BZ #1100999 , but when adding a new vm from this template (via rest-api,python-sdk or gui) and choosing template provisioning thin && disk allocation preallocated, the vm shown on web admin, has thin provision disk with size = 1 giga (view image)

Well you know the rest, disk's actual size is 5 gigs and the allocation policy is Raw Preallocated disk.

from vdsClient terminal tool:

[root@camel-vdsb /]# vdsClient -s 0 getVolumeInfo $sduuid $spuuid $imuuid `vdsClient -s 0 getVolumesList $sduuid $spuuid $imuuid`
	status = OK
	domain = ceb80915-8207-4ebe-9c45-458676fdf223
	capacity = 5368709120
	voltype = SHARED
	description = 
	parent = 00000000-0000-0000-0000-000000000000
	format = RAW
	image = 13034270-062e-466c-91e6-94f62a22da11
	uuid = b2d8d5a3-857a-4312-9ecc-fa0a8262b0fd
	disktype = 2
	legality = LEGAL
	mtime = 1401025224
	apparentsize = 5368709120
	truesize = 5368709120
	type = PREALLOCATED
	children = []
	pool = 
	ctime = 1401025223




Version-Release number of selected component (if applicable):

vdsm-4.14.7-3.el6ev.x86_64
rhevm-3.4.0-0.21.el6ev.noarch


How reproducible:
100%

Steps to Reproduce:
Setup: have a dc with two domains (one iscsi,one nfs)
1.create vm+thin provision disk-> make a template from this vm
2.copy template to iscsi domain
3.add a new vm based on this template (with rest-api,python or GUI) that is on the ISCSI domain,choose template provisioning: Thin and allocation policy:Preallocated

Actual results:

The web admin reports wrongly about disks allocation policy and size

Expected results:

The web admin should report the right stats or this procedure should not be allowed, because it doesn't make sense anyway
Additional info:

Comment 1 Allon Mureinik 2014-05-27 21:00:40 UTC
Daniel, haven't you solved a similar issue?

Comment 2 Daniel Erez 2014-06-09 16:40:56 UTC
(In reply to Allon Mureinik from comment #1)
> Daniel, haven't you solved a similar issue?

The issue here is regrading template disks in the Disks main-tab; template disks that reside on multiple storage domains can have different allocation policies (file vs block).

Comment 3 Allon Mureinik 2014-11-20 12:48:26 UTC
Fixing this requires refactoring the Disk hierarchy first (see bug 1142762).

Comment 4 Red Hat Bugzilla Rules Engine 2015-11-30 19:03:30 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 5 Sandro Bonazzola 2016-05-02 09:54:59 UTC
Moving from 4.0 alpha to 4.0 beta since 4.0 alpha has been already released and bug is not ON_QA.

Comment 6 Yaniv Lavi 2016-05-23 13:16:39 UTC
oVirt 4.0 beta has been released, moving to RC milestone.

Comment 7 Yaniv Lavi 2016-05-23 13:23:04 UTC
oVirt 4.0 beta has been released, moving to RC milestone.

Comment 9 Tal Nisan 2018-07-02 08:09:39 UTC
Closing old bugs, please reopen if still needed, in any case patches are welcome.


Note You need to log in before you can comment on or make changes to this bug.